# -*- encoding: utf-8 -*-
# stub: celluloid 0.16.0 ruby lib

Gem::Specification.new do |s|
  s.name = "celluloid"
  s.version = "0.16.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.6") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Tony Arcieri"]
  s.date = "2014-09-05"
  s.description = "Celluloid enables people to build concurrent programs out of concurrent objects just as easily as they build sequential programs out of sequential objects"
  s.email = ["tony.arcieri@gmail.com"]
  s.files = ["LICENSE.txt", "README.md", "lib/celluloid.rb", "lib/celluloid/actor.rb", "lib/celluloid/actor_system.rb", "lib/celluloid/autostart.rb", "lib/celluloid/call_chain.rb", "lib/celluloid/calls.rb", "lib/celluloid/cell.rb", "lib/celluloid/condition.rb", "lib/celluloid/core_ext.rb", "lib/celluloid/cpu_counter.rb", "lib/celluloid/evented_mailbox.rb", "lib/celluloid/exceptions.rb", "lib/celluloid/fiber.rb", "lib/celluloid/fsm.rb", "lib/celluloid/future.rb", "lib/celluloid/handlers.rb", "lib/celluloid/internal_pool.rb", "lib/celluloid/legacy.rb", "lib/celluloid/links.rb", "lib/celluloid/logger.rb", "lib/celluloid/logging.rb", "lib/celluloid/logging/incident.rb", "lib/celluloid/logging/incident_logger.rb", "lib/celluloid/logging/incident_reporter.rb", "lib/celluloid/logging/log_event.rb", "lib/celluloid/logging/ring_buffer.rb", "lib/celluloid/mailbox.rb", "lib/celluloid/method.rb", "lib/celluloid/notifications.rb", "lib/celluloid/pool_manager.rb", "lib/celluloid/probe.rb", "lib/celluloid/properties.rb", "lib/celluloid/proxies/abstract_proxy.rb", "lib/celluloid/proxies/actor_proxy.rb", "lib/celluloid/proxies/async_proxy.rb", "lib/celluloid/proxies/block_proxy.rb", "lib/celluloid/proxies/cell_proxy.rb", "lib/celluloid/proxies/future_proxy.rb", "lib/celluloid/proxies/sync_proxy.rb", "lib/celluloid/receivers.rb", "lib/celluloid/registry.rb", "lib/celluloid/responses.rb", "lib/celluloid/rspec.rb", "lib/celluloid/rspec/actor_examples.rb", "lib/celluloid/rspec/example_actor_class.rb", "lib/celluloid/rspec/mailbox_examples.rb", "lib/celluloid/rspec/task_examples.rb", "lib/celluloid/signals.rb", "lib/celluloid/stack_dump.rb", "lib/celluloid/supervision_group.rb", "lib/celluloid/supervisor.rb", "lib/celluloid/system_events.rb", "lib/celluloid/task_set.rb", "lib/celluloid/tasks.rb", "lib/celluloid/tasks/task_fiber.rb", "lib/celluloid/tasks/task_thread.rb", "lib/celluloid/test.rb", "lib/celluloid/thread.rb", "lib/celluloid/thread_handle.rb", "lib/celluloid/uuid.rb", "spec/celluloid/actor_spec.rb", "spec/celluloid/actor_system_spec.rb", "spec/celluloid/block_spec.rb", "spec/celluloid/calls_spec.rb", "spec/celluloid/condition_spec.rb", "spec/celluloid/cpu_counter_spec.rb", "spec/celluloid/evented_mailbox_spec.rb", "spec/celluloid/fsm_spec.rb", "spec/celluloid/future_spec.rb", "spec/celluloid/internal_pool_spec.rb", "spec/celluloid/links_spec.rb", "spec/celluloid/logging/ring_buffer_spec.rb", "spec/celluloid/mailbox_spec.rb", "spec/celluloid/notifications_spec.rb", "spec/celluloid/pool_spec.rb", "spec/celluloid/probe_spec.rb", "spec/celluloid/properties_spec.rb", "spec/celluloid/registry_spec.rb", "spec/celluloid/stack_dump_spec.rb", "spec/celluloid/supervision_group_spec.rb", "spec/celluloid/supervisor_spec.rb", "spec/celluloid/tasks/task_fiber_spec.rb", "spec/celluloid/tasks/task_thread_spec.rb", "spec/celluloid/thread_handle_spec.rb", "spec/celluloid/timer_spec.rb", "spec/celluloid/uuid_spec.rb", "spec/spec_helper.rb"]
  s.homepage = "https://github.com/celluloid/celluloid"
  s.licenses = ["MIT"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.2")
  s.rubygems_version = "2.2.2"
  s.summary = "Actor-based concurrent object framework for Ruby"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<timers>, ["~> 4.0.0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["~> 2.14.1"])
      s.add_development_dependency(%q<guard-rspec>, [">= 0"])
      s.add_development_dependency(%q<benchmark_suite>, [">= 0"])
      s.add_development_dependency(%q<rubocop>, [">= 0"])
    else
      s.add_dependency(%q<timers>, ["~> 4.0.0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, ["~> 2.14.1"])
      s.add_dependency(%q<guard-rspec>, [">= 0"])
      s.add_dependency(%q<benchmark_suite>, [">= 0"])
      s.add_dependency(%q<rubocop>, [">= 0"])
    end
  else
    s.add_dependency(%q<timers>, ["~> 4.0.0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, ["~> 2.14.1"])
    s.add_dependency(%q<guard-rspec>, [">= 0"])
    s.add_dependency(%q<benchmark_suite>, [">= 0"])
    s.add_dependency(%q<rubocop>, [">= 0"])
  end
end
